# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'swagger_coverage/version'

Gem::Specification.new do |spec|
  spec.name          = "swagger_coverage"
  spec.version       = SwaggerCoverage::VERSION
  spec.authors       = ["Andrew Harthcock"]
  spec.email         = ["andrewh@spiceworks.com"]

  spec.summary       = "A tool designed to report on swagger documentation coverage for phoenix and rails APIs."
  spec.description   = "swagger_coverage programmatically compares Swagger API routes to existing routes from the source code and reports the difference(s)"
  spec.homepage      = "https://gitlab.spice.spiceworks.com/spiceworks/swagger-cov.git"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
end
